| Home | Libraries | People | FAQ | More

## Struct template same_type

boost::type_erasure::same_type

## Synopsis

    // In header: <boost/type_erasure/same_type.hpp>

    template<typename T, typename U>
    struct same_type {
    };

## Description

A built in concept that indicates that two types are the same. Either T or U or both can be placeholders.

| Warning
Any number of instances of deduced can be connected with same_type, but there should be at most one regular placeholder in the group. same_type<_a, _b> is not allowed. The reason for this is that the library needs to normalize all the placeholders, and in this context there is no way to decide whether to use _a or _b.